## golang-github-bsm-pool 0.0~git20161215.0.502d32d

=== Makefile ===
PKGS=./...

default: vet test

vet:
	go vet ${PKGS}

test:
	go test ${PKGS}

test-race:
	go test -race ${PKGS}

bench:
	go test ${PKGS} -run=NONE -bench=. -benchmem

bench-race:
	go test ${PKGS} -run=NONE -bench=. -benchmem -race

.PHONY: default vet test

=== debian/changelog ===
golang-github-bsm-pool (0.0~git20161215.0.502d32d-1) unstable; urgency=medium

  * Initial release (Closes: #868712)

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 17:04:54 -0500

=== debian/control ===
Source: golang-github-bsm-pool
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-gomega-dev
Standards-Version: 3.9.8
Homepage: https://github.com/bsm/pool
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-bsm-pool.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-bsm-pool.git
XS-Go-Import-Path: github.com/bsm/pool

Package: golang-github-bsm-pool-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-ginkgo-dev,
         golang-gomega-dev
Description: simple connection pool library for Golang
 BSM Pool implements a simple connection pool for Go.
 .
 Features:
 - thread-safe
 - lock-free
 - stack-based rather than queue-based
   + connections that have been used recently are more likely to be re-used
 - supports pool shrinking (reap idle connections)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-bsm-pool-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/bsm/pool/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-bsm-pool 0.8.0

=== Makefile ===
default: vet test

vet:
	go vet .

test:
	go test .

test-race:
	go test -race .

bench:
	go test . -run=NONE -bench=. -benchmem

bench-race:
	go test . -run=NONE -bench=. -benchmem -race

.PHONY: default vet test

=== debian/changelog ===
golang-github-bsm-pool (0.8.0-7) unstable; urgency=medium

  * QA upload.
  * Disable flaky test. Closes: #1017816.

 -- Santiago Vila <sanvila@debian.org>  Tue, 26 Nov 2024 23:50:00 +0100

golang-github-bsm-pool (0.8.0-6) unstable; urgency=medium

  * QA upload.
  * UNRELEASED

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jun 2022 23:07:18 +0100

golang-github-bsm-pool (0.8.0-5) unstable; urgency=medium

  * QA upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Fix Debian QA group name.

  [ Debian Janitor ]
  * Update standards version, no changes needed.
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Name.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 15:17:23 +0000

golang-github-bsm-pool (0.8.0-4) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:26 -0600

golang-github-bsm-pool (0.8.0-3) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:57 -0600

golang-github-bsm-pool (0.8.0-2) unstable; urgency=medium

  * Fix extended description.

 -- Michael Lustfield <michael@lustfield.net>  Sun, 01 Oct 2017 23:49:54 -0500

golang-github-bsm-pool (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream created release; following release.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 01:46:19 -0500

golang-github-bsm-pool (0.0~git20161215.0.502d32d-2) unstable; urgency=medium

  * Maintenance Update:
    - Update for standards version 4.1.0.0.
    - Correct d/watch.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 28 Aug 2017 23:10:29 -0500

=== debian/control ===
Source: golang-github-bsm-pool
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-ginkgo-dev,
               golang-gomega-dev
Standards-Version: 4.1.1
Homepage: https://github.com/bsm/pool
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bsm-pool
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bsm-pool.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/bsm/pool

Package: golang-github-bsm-pool-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-ginkgo-dev,
         golang-gomega-dev
Description: simple connection pool library for Golang
 BSM Pool implements a simple connection pool for Go.
 .
 Features:
   - thread-safe
   - lock-free
   - stack-based rather than queue-based
     + connections that have been used recently are more likely to be re-used
   - supports pool shrinking (reap idle connections)
